Package picard.fingerprint

## Class FingerprintUtils.VariantContextSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractSet<E>
    - - java.util.TreeSet<htsjdk.variant.variantcontext.VariantContext>
      - - picard.fingerprint.FingerprintUtils.VariantContextSet

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Iterable<htsjdk.variant.variantcontext.VariantContext>`, `Collection<htsjdk.variant.variantcontext.VariantContext>`, `NavigableSet<htsjdk.variant.variantcontext.VariantContext>`, `Set<htsjdk.variant.variantcontext.VariantContext>`, `SortedSet<htsjdk.variant.variantcontext.VariantContext>`
  Enclosing class:
    FingerprintUtils

      public static class FingerprintUtils.VariantContextSet
      extends TreeSet<htsjdk.variant.variantcontext.VariantContext>

  A class that holds VariantContexts sorted by genomic position
  See Also:
    Serialized Form

- - ### Method Summary

    - ### Methods inherited from class java.util.TreeSet

      `add, addAll, ceiling, clear, clone, comparator, contains, descendingIterator, descendingSet, first, floor, headSet, headSet, higher, isEmpty, iterator, last, lower, pollFirst, pollLast, remove, size, spliterator, subSet, subSet, tailSet, tailSet`

    - ### Methods inherited from class java.util.AbstractSet

      `equals, hashCode, removeAll`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, retainAll, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `containsAll, equals, hashCode, removeAll, retainAll, toArray, toArray`